Author Topic: RFduino on Arduino 1.6.7 in Ubuntu  (Read 1752 times)

kirant400

  • RFduino Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
RFduino on Arduino 1.6.7 in Ubuntu
« on: January 17, 2016, 05:19:43 AM »
Tried installing RFduino in Arduino IDE 1.6.7
Able to select the Board as RFduino.
Shows examples also.
When tried building Examples or including RFduinoBLE.h
getting a compilation error

Arduino: 1.6.7 (Linux), Board: "RFduino"

Board RFduino (platform RFduino, package RFduino) is unknown


after enabling the verbose
Arduino: 1.6.7 (Linux), Board: "RFduino"

/home/kirant400/IDE/arduino-1.6.7/arduino-builder -dump-prefs -logger=machine -hardware "/home/kirant400/IDE/arduino-1.6.7/hardware" -hardware "/home/kirant400/.arduino15/packages" -tools "/home/kirant400/IDE/arduino-1.6.7/tools-builder" -tools "/home/kirant400/IDE/arduino-1.6.7/hardware/tools/avr" -tools "/home/kirant400/.arduino15/packages" -built-in-libraries "/home/kirant400/IDE/arduino-1.6.7/libraries" -libraries "/home/kirant400/Arduino/libraries" -fqbn=RFduino:RFduino:RFduino -ide-version=10607 -build-path "/tmp/build9ec11a066afa4f1de2ea86d153a37f1a.tmp" -warnings=none -prefs=build.warn_data_percentage=75 -verbose "/home/kirant400/Projects/AirQuality/Firmware/airquality/airquality.ino"

Board RFduino (platform RFduino, package RFduino) is unknown

Error compiling.


Sudhir

  • RFduino Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: RFduino on Arduino 1.6.7 in Ubuntu
« Reply #1 on: January 24, 2016, 02:35:21 PM »
I get the same error with 1.6.7 and the 2.3.2 combo on Windows 8.1

tolson

  • Global Moderator
  • *****
  • Posts: 844
  • Karma: +19/-0
    • View Profile
    • Thomas Olson Consulting
Re: RFduino on Arduino 1.6.7 in Ubuntu
« Reply #2 on: January 24, 2016, 10:55:36 PM »
What JSON file are you using. The only one I know of is for Arduino 1.6.6. I don't think they have released anything or 1.6.7.  Maybe someone from the RFduino Team will chime in on this.
However, I did have success installing the
http://www.rfduino.com/package_rfduino166_index.json
in Arduino 1.6.7 on Linux and it compiled and loaded the Colorwheel example without problem.

When mixing different versions I recommend creating a "portable" directory(folder) in the Arduino folder before installing any JSON file installations.
This way each version will get it's own setup instead of dumping it all into .arduino15 which could contain who know what from the older and different versions.
Just thinking out loud here.

notsolinear

  • RFduino Jr. Member
  • **
  • Posts: 52
  • Karma: +3/-0
    • View Profile
Re: RFduino on Arduino 1.6.7 in Ubuntu
« Reply #3 on: March 09, 2016, 09:48:08 PM »
FYI, just came upon this same issue trying to build after updating Arduino IDE and updating to new JSON file URL.  In the end I think it was due to having two versions of the RFDuino board SDK installed at the same time.  I removed the JSON file URL from the IDE preferences, removed the 2.3.1 version then added the JSON url back, re-installed 2.3.2 and then finally the building worked.